using Bentley.MstnPlatformNET;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace LinkageCRUDDemo
{
    /// <summary>
    /// Main entry point class for this addin application.
    /// When loading an AddIn MicroStation looks for a class
    /// derived from AddIn.
    /// </summary>
    [AddIn(MdlTaskID = "LinkageCRUDDemo")]
    internal sealed class Program : AddIn
    {
        public static Program Addin = null;

        private Program(System.IntPtr mdlDesc) : base(mdlDesc)
        {
            Addin = this;
        }

        protected override int Run(string[] commandLine)
        {
            return 0;
        }
    }
}
